# class Input

#### package haxe.io

Available on Android, iOS, Linux, macOS, Neko, Windows

An Input is an abstract reader. See other classes in the `haxe.io` package for several possible implementations.

All functions which read data throw `Eof` when the end of the stream is reached.

### Methods

###

`close ():Void`

Close the input source.

Behaviour while reading after calling this method is unspecified.

###

`readByte ():Int`

Read and return one byte.

###

`readLine ():String`

Read a line of text separated by CR and/or LF bytes.

The CR/LF characters are not included in the resulting string.